org.apache.myfaces.trinidad.context

## Class ExternalContextDecorator

- java.lang.Object
- - javax.faces.context.ExternalContext
  - - javax.faces.context.ExternalContextWrapper
    - - org.apache.myfaces.trinidad.context.ExternalContextDecorator

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.context.ExternalContext>

      public abstract class ExternalContextDecorator
      extends javax.faces.context.ExternalContextWrapper

  Base class for decorating ExternalContexts.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.context.ExternalContext

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalContextDecorator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract javax.faces.context.ExternalContext` | `getExternalContext()`
    `javax.faces.context.ExternalContext` | `getWrapped()`

    - ### Methods inherited from class javax.faces.context.ExternalContextWrapper

      `addResponseCookie, addResponseHeader, dispatch, encodeActionURL, encodeBookmarkableURL, encodeNamespace, encodePartialActionURL, encodeRedirectURL, encodeResourceURL, getApplicationMap, getAuthType, getContext, getContextName, getFlash, getInitParameter, getInitParameterMap, getMimeType, getRealPath, getRemoteUser, getRequest, getRequestCharacterEncoding, getRequestContentLength, getRequestContentType, getRequestContextPath, getRequestCookieMap, getRequestHeaderMap, getRequestHeaderValuesMap, getRequestLocale, getRequestLocales, getRequestMap, getRequestParameterMap, getRequestParameterNames, getRequestParameterValuesMap, getRequestPathInfo, getRequestScheme, getRequestServerName, getRequestServerPort, getRequestServletPath, getResource, getResourceAsStream, getResourcePaths, getResponse, getResponseBufferSize, getResponseCharacterEncoding, getResponseContentType, getResponseOutputStream, getResponseOutputWriter, getSession, getSessionMap, getUserPrincipal, invalidateSession, isResponseCommitted, isUserInRole, log, log, redirect, responseFlushBuffer, responseReset, responseSendError, setRequest, setRequestCharacterEncoding, setResponse, setResponseBufferSize, setResponseCharacterEncoding, setResponseContentLength, setResponseContentType, setResponseHeader, setResponseStatus`

    - ### Methods inherited from class javax.faces.context.ExternalContext

      `getSessionMaxInactiveInterval, isSecure, setSessionMaxInactiveInterval`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalContextDecorator

          public ExternalContextDecorator()

  - ### Method Detail

    - #### getWrapped

          public javax.faces.context.ExternalContext getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.ExternalContext>`
      Overrides:
        `getWrapped` in class `javax.faces.context.ExternalContextWrapper`

    - #### getExternalContext

          protected abstract javax.faces.context.ExternalContext getExternalContext()

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.